What hardware is required to run Blast Vision?

Last updated almost 3 years ago

Blast Vision works with iPhone 6S / 6S Plus or newer, iPad Pro or newer. 

powered by
SlimFAQ